hpp-manipulation-urdf: hpp::manipulation::srdf Namespace Reference

hpp-manipulation-urdf 9.0.2 Implementation of a parser for hpp-manipulation.

Loading...
Searching...
No Matches
Classes | Functions
hpp::manipulation::srdf Namespace Reference

## Classes
class | ContactFactory
| Factory building contact surfaces. More...
class | GripperFactory
| Build an object of type hpp::pinocchio::Gripper. More...
class | HandleFactory
| Build an object of type hpp::manipulation::Handle. More...
class | PositionFactory
| Build a coal::Transform. More...
class | RobotFactory

## Functions
void | loadModelFromFile (const DevicePtr_t &robot, const std::string &prefix, const std::string &package, const std::string &modelName, const std::string &srdfSuffix)
void | loadModelFromFile (const DevicePtr_t &robot, const std::string &prefix, const std::string &srdfName)
void | loadModelFromXML (const DevicePtr_t &robot, const std::string &prefix, const std::string &srdfString)

## Function Documentation

## ◆ loadModelFromFile() [1/2]

void hpp::manipulation::srdf::loadModelFromFile | ( | const DevicePtr_t & | robot,
|  | const std::string & | prefix,
|  | const std::string & | package,
|  | const std::string & | modelName,
|  | const std::string & | srdfSuffix )

Reads the tags from SRDF as defined in hpp_manipulation_urdf_srdf_syntax

Parameters

robot robot to modify with the information stored in srdf file,

Parameters

  prefix | prefix to insert before tags of the srdf file to get the corresponding object in the robot model
  modelName | part of the filename,
  srdfSuffix | part of the filename.

The srdf file is retrieve by the following string: "package://${package}/srdf/${modelName}${srdfSuffix}.srdf".

## ◆ loadModelFromFile() [2/2]

void hpp::manipulation::srdf::loadModelFromFile | ( | const DevicePtr_t & | robot,
|  | const std::string & | prefix,
|  | const std::string & | srdfName )

Reads the tags from SRDF as defined in hpp_manipulation_urdf_srdf_syntax

Parameters

prefix prefix to insert before tags of the srdf file to get the corresponding object in the robot model

Parameters

  srdfName | name of the srdf file; may contain "package://" or "file://".

## ◆ loadModelFromXML()

void hpp::manipulation::srdf::loadModelFromXML | ( | const DevicePtr_t & | robot,
|  | const std::string & | prefix,
|  | const std::string & | srdfString )

Reads the tags from SRDF as defined in SRDF syntax